<?php
/**
 * SPDX-FileCopyrightText: 2024 Sascha Nitsch (grumpydeveloper) https://contentnation.net/@grumpydevelop
 * SPDX-License-Identifier: GPL-3.0-or-later
 *
 * @author Yannis Vogel (vogeldevelopment)
 **/

namespace Federator\Data\ActivityPub\Common;

class Followers extends OrderedCollectionPage
{
    public function __construct()
    {
        parent::__construct();
        parent::addContext('https://www.w3.org/ns/activitystreams');
    }

    /**
     * set items
     *
     * @param string[] $items the items in the collection
     * @return void
     */
    public function setItems(&$items)
    {
        // Optionally: type check that all $items are Activity objects
        $this->items = $items;
        $this->totalItems = sizeof($items);
    }

    /**
     * convert internal state to php array
     *
     * @return array<string,mixed>
     */
    public function toObject()
    {
        $return = parent::toObject();
        return $return;
    }

    /**
     * create object from json
     *
     * @param array<string,mixed> $json input json
     * @return bool true on success
     */
    public function fromJson($json)
    {
        return parent::fromJson($json);
    }
}
